Skip to main content
GET
/
connect
/
sessions
Retrieve a Connect session
curl --request GET \
  --url https://api.flatpeak.com/connect/sessions \
  --header 'Authorization: Bearer <token>'
{
  "id": "cot_65e0839faca22517d5d51cd5",
  "object": "connect_session",
  "live_mode": true,
  "location_id": "loc_641b90b758fb8e6293716e40",
  "price_available": true,
  "time_created": "2023-05-05T18:37:27Z",
  "time_expiry": "2023-12-28T03:00:00Z",
  "device_id": "dev_63a6087272941ef077a8fd3e",
  "connect_url": "myapp://nova/flatpeak/connect",
  "callback_url": "myapp://nova/flatpeak/complete",
  "route_options": {
    "advanced_tariff_capture": true,
    "tariff_name_capture": true,
    "contract_term_capture": true
  }
}

Authorizations

Authorization
string
header
required

Authenticate with bearer you obtained from authentication endpoint.

Query Parameters

connect_token
string

Flatpeak Connect token.

Example:

"cot_65e0839faca22517d5d51cd5"

Response

Response example

id
string
required

Flatpeak connect_token id.

Example:

"cot_65e0839faca22517d5d51cd5"

object
string
required

Flatpeak object name, i.e. connect_token.

Example:

"connect_session"

live_mode
boolean
required

Set to true when object is in live mode.

Example:

true

location_id
string
required

Flatpeak location id.

Example:

"loc_641b90b758fb8e6293716e40"

price_available
boolean
required

Set to true when energy price data is available to fetch.

time_created
string
required

Time when the object was created, in UTC.

Example:

"2023-05-05T18:37:27Z"

time_expiry
string
required

Time when the token will expire. Expired tokens cannot be claimed.

Example:

"2023-12-28T03:00:00Z"

device_id
string

Flatpeak Device ID

Example:

"dev_63a6087272941ef077a8fd3e"

connect_url
string
Example:

"myapp://nova/flatpeak/connect"

callback_url
string
Example:

"myapp://nova/flatpeak/complete"

route_options
object